Skip to content

List Api Keys

GET
/api/v1/api-keys

List all API keys for the authenticated user.

Successful Response

ApiKeyListResultResponse

Response for GET /api/v1/api-keys.

object
success
required
Success
boolean
data
Any of:
ApiKeyListData

Data for the list response.

object
keys
required
Keys
Array<object>
ApiKeyItem

A single API key in a list response (no raw key).

object
id
required
Id

Unique key identifier.

string
name
required
Name

Human-readable label.

string
prefix
required
Prefix

Key prefix for identification.

string
created_at
required
Created At

ISO 8601 creation timestamp.

string
last_used_at
required
Any of:
string
count
required
Count
integer
error
Any of:
ErrorDetail
object
code
required
Code

Machine-readable error code (e.g., ‘NOT_FOUND’, ‘VALIDATION_ERROR’).

string
message
required
Message

Human-readable error message describing what went wrong.

string
details
Any of: